package Audio;

import com.sun.jna.Library;
import com.sun.jna.Native;
import com.sun.jna.Pointer;

import Audio.BassEnc.ENCODEPROC;

/**
 * Bass Encoder OGG Plugin
 * Must load together with BassEncLibrary
 * @author rdkartono
 *
 */
@SuppressWarnings("unused")
public interface BassEncOGG extends Library {
	BassEncOGG Instance = Native.load("bassenc_ogg",BassEncOGG.class);
	int BASS_Encode_OGG_GetVersion();

	int BASS_Encode_OGG_Start(int handle, String options, int flags, ENCODEPROC proc, Pointer user);
	int BASS_Encode_OGG_StartFile(int handle, String options, int flags, String filename);
	boolean BASS_Encode_OGG_NewStream(int handle, String options, int flags);
	
	interface Constant{
		// BASS_Encode_OGG_NewStream flags
		int BASS_ENCODE_OGG_RESET = 0x1000000;
	}
}
